## muffin 6.4.1+gigi

=== debian/changelog ===
muffin (6.4.1+gigi) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000
