## muffin 6.6.1+zena

=== debian/changelog ===
muffin (6.6.1+zena) zena; urgency=medium

  [ Michael Webster ]
  * keybindings.c: Add support for additional xkb next-group options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:28:37 +0000
