=== debian/control ===
--- 
+++ 
@@ -17,13 +17,11 @@
         libcairo2-dev (>= 1.10.0),
         libcanberra-gtk3-dev,
         libdrm-dev (>= 2.4.83) [linux-any],
-        libegl-dev,
         libegl1-mesa-dev (>= 17) [linux-any],
         libfribidi-dev (>= 1.0.0),
         libgirepository1.0-dev (>= 0.9.12),
-        libgl1-mesa-dev (>= 7.1~rc3-1~),
-        libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev (>= 2.61.1),
+        libglvnd-dev,
         libcinnamon-desktop-dev,
         libgbm-dev (>= 17.3) [linux-any],
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
@@ -31,7 +29,7 @@
         libgtk-3-dev (>= 3.19.8),
         libgudev-1.0-dev (>= 232) [linux-any],
         libice-dev,
-        libinput-dev (>= 1.7) [linux-any],
+        libinput-dev (>= 1.19.0) [linux-any],
         libjson-glib-dev (>= 0.13.2-1~),
         libnvidia-egl-wayland-dev [linux-any],
         libpam0g-dev,
@@ -41,7 +39,7 @@
         libstartup-notification0-dev (>= 0.7),
         libsystemd-dev (>= 212) [linux-any],
         libwacom-dev (>= 0.13) [linux-any],
-        libwayland-dev,
+        libwayland-dev (>= 1.20),
         libxau-dev,
         libx11-dev,
         libx11-xcb-dev,
@@ -60,10 +58,10 @@
         libxrandr-dev,
         libxrender-dev,
         libxt-dev,
-        meson (>= 0.50),
+        meson (>= 1.0.0),
         pkg-config (>= 0.22),
         udev [linux-any],
-        wayland-protocols (>= 1.25) [linux-any],
+        wayland-protocols (>= 1.23) [linux-any],
         xauth <!nocheck>,
         xcvt [linux-any],
         xkb-data,
@@ -163,11 +161,11 @@
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
          libglib2.0-dev,
+         libglvnd-dev,
          libgraphene-1.0-dev (>= 1.9.3),
          libgtk-3-dev,
-         libinput-dev (>= 1.7),
+         libinput-dev (>= 1.19.0),
          libjson-glib-dev,
          libmuffin0 (= ${binary:Version}),
          libpango1.0-dev,
