## muffin 6.6.3+gigi

=== debian/changelog ===
muffin (6.6.3+gigi) zena; urgency=medium

  [ Michael Webster ]
  * display.c: Exclude 'always on top' windows from the monitor fullscreen check.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:16:49 +0000

muffin (6.6.2) zena; urgency=medium

  [ Michael Webster ]
  * github: Update workflow file.
  * github: Fix build.yml
  * Revert 23aba56e6d (ignore XkbNewKeyboardNotify) - Filter by (#782)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Jan 2026 11:55:59 +0000
