## muffin 6.6.3+zena

=== debian/changelog ===
muffin (6.6.3+zena) zena; urgency=medium

  [ Michael Webster ]
  * display.c: Exclude 'always on top' windows from the monitor fullscreen check.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:16:49 +0000
